Seems the gemspec builds a gem that cannot actually install anything,
as it depends on gems it did not install in the first place. Other
then hand editing the radiant gems lockfile is there an easier way to
use the rc3 gem???




On Sep 14, 12:58 pm, Dave <hunkyb...@gmail.com> wrote:
> Hi,
>
> In fact, now that I try and create a site with the new radiant gem,
> all it does it error out on missing gems.
>
> Yay.
>
> On Sep 14, 12:42 pm, Dave <hunkyb...@gmail.com> wrote:
>
>
>
>
>
>
>
> > Hi William,
>
> > Here is one thing for you.
>
> > command:
> > radiant myApp
>
> > errors out with...
>
> > /Users/campista-socialista/.rvm/gems/ree-1.8.7-2011.03@radiant/gems/
> > radiant-1.0.0.rc3/bin/../config/../config/preinitializer.rb:18:
> > Bundler couldn't find some gems: Could not find chunky_png-1.2.1 in
> > any of the sources. Did you run `bundle install`? (RuntimeError)
> >         from /Users/campista-socialista/.rvm/gems/ree-1.8.7-2011.03@radiant/
> > gems/radiant-1.0.0.rc3/bin/../config/boot.rb:48:in `load'
> >         from /Users/campista-socialista/.rvm/gems/ree-1.8.7-2011.03@radiant/
> > gems/radiant-1.0.0.rc3/bin/../config/boot.rb:48:in `preinitialize'
> >         from /Users/campista-socialista/.rvm/gems/ree-1.8.7-2011.03@radiant/
> > gems/radiant-1.0.0.rc3/bin/../config/boot.rb:19:in `boot!'
> >         from /Users/campista-socialista/.rvm/gems/ree-1.8.7-2011.03@radiant/
> > gems/radiant-1.0.0.rc3/bin/../config/boot.rb:122
> >         from /Users/campista-socialista/.rvm/rubies/ree-1.8.7-2011.03/lib/
> > ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in
> > `gem_original_require'
> >         from /Users/campista-socialista/.rvm/rubies/ree-1.8.7-2011.03/lib/
> > ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
> >         from /Users/campista-socialista/.rvm/gems/ree-1.8.7-2011.03@radiant/
> > gems/radiant-1.0.0.rc3/bin/radiant:5
> >         from /Users/campista-socialista/.rvm/gems/ree-1.8.7-2011.03@radiant/
> > bin/radiant:19:in `load'
> >         from /Users/campista-socialista/.rvm/gems/ree-1.8.7-2011.03@radiant/
> > bin/radiant:19
>
> > Any idea why that occurs?
>
> > On Sep 14, 11:13 am, William Ross <w...@spanner.org> wrote:
>
> > > On 14 Sep 2011, at 15:58, Dave wrote:
>
> > > > <snip>
>
> > > > Is there a way to use the radiant gem and have it play nice without
> > > > the vendored rails...???
>
> > > > I am quite capable of using Bundler and my Gemfile to ensure Radiant
> > > > is happy, but apparently this is not possible with the current radiant
> > > > gem?
>
> > > What you have there is not really edge, but quite an old release 
> > > candidate that is about to be replaced any moment now.
>
> > > Edge radiant vendors nothing, uses Bundler properly and sets everything 
> > > up for you. The way to get it right now is from the repository:
>
> > > First install radiant:
>
> > >         $ rvm 1.8.7     # if you're using RVM. You may also want an 
> > > @radiant gemset for testing purposes
>
> > >         $ cd /tmp               # or wherever
> > >         $ git clone git://github.com/radiant/radiant.git
> > >         $ cd radiant
> > >         $ gem build radiant.gemspec
> > >         $ sudo gem install radiant-1.0.0.rc3.gem
>
> > > Then use radiant to create an application:
>
> > >         $ cd /var/www           # or wherever
> > >         $ radiant myapp
> > >         $ cd myapp
> > >                 … edit Gemfile to add extensions and 
> > > config/environment.rb to configure application
> > >         $ bundle install
> > >         $ rake db:bootstrap
>
> > > If you run into any problems with that sequence, please let us know. This 
> > > is all about to be released and we'd be very glad of any input from 
> > > testers.
>
> > > Thank you,
>
> > > will
>
> > > ps. Once the RC3 gem is released, the installation sequence just be `gem 
> > > install radiant`, of course.

Reply via email to